package domain


type AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto struct {
    /*
        商品编码，与商品条码必选其一，或者同时传入以商品条码为准     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        一口价金额【分】     */
    FixPriceMoney  *int64 `json:"fix_price_money,omitempty" `

    /*
        打折金额【1000位底数】，900代表9折     */
    DiscountRate  *int64 `json:"discount_rate,omitempty" `

    /*
        减钱金额【分】     */
    DecreaseMoney  *int64 `json:"decrease_money,omitempty" `

    /*
        限购配置信息     */
    Limit  *AlibabaRetailMarketingItemdiscountActivitySkuAddLimitDto `json:"limit,omitempty" `

    /*
        商品条码，与商品编码必选其一，或者同时传入以商品条码为准     */
    Barcode  *string `json:"barcode,omitempty" `

    /*
        商品渠道配置信息     */
    SkuChannelConfigs  *[]AlibabaRetailMarketingItemdiscountActivitySkuAddSkuChannelConfigDTO `json:"sku_channel_configs,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto) SetSkuCode(v string) *AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto {
    s.SkuCode = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto) SetFixPriceMoney(v int64) *AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto {
    s.FixPriceMoney = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto) SetDiscountRate(v int64) *AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto {
    s.DiscountRate = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto) SetDecreaseMoney(v int64) *AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto {
    s.DecreaseMoney = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto) SetLimit(v AlibabaRetailMarketingItemdiscountActivitySkuAddLimitDto) *AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto {
    s.Limit = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto) SetBarcode(v string) *AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto {
    s.Barcode = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto) SetSkuChannelConfigs(v []AlibabaRetailMarketingItemdiscountActivitySkuAddSkuChannelConfigDTO) *AlibabaRetailMarketingItemdiscountActivitySkuAddSkuActivityElementDto {
    s.SkuChannelConfigs = &v
    return s
}
